Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ITension

    java.lang.Object
      igeo.IDynamicsBase
          igeo.ITension

All Implemented Interfaces:
  IDynamics, ISubobject

    public class ITension

extends IDynamicsBase

Class of IDynamics to simulate tension force between two particles.

Field Summary
`static double` | `defaultTension`
`IParticleI` | `pt1`
`IParticleI` | `pt2`
`double` | `tension`

Fields inherited from class igeo.IDynamicsBase
`parent, targets`

Constructor Summary
`ITension(IParticleI p1, IParticleI p2)`
`ITension(IParticleI p1, IParticleI p2, IObject parent)`
`ITension(IParticle p1, IParticle p2)`
`ITension(IParticle p1, IParticle p2, IObject parent)`
`ITension(IVecI p1, IVecI p2)`
`ITension(IVecI p1, IVecI p2, IObject parent)`
`ITension(IVec p1, IVec p2)`
`ITension(IVec p1, IVec p2, IObject parent)`

Method Summary
`void` | `interact(java.util.ArrayList<IDynamics> dynamics)` behavior definition of interaction with other dynamic objects.
`ITension` | `parent(IObject par)` setting parent object
`ITension` | `removeTarget(int i)` remove target object.
`ITension` | `removeTarget(IObject obj)` remove target object.
`ITension` | `target(IObject targetObj)` add terget object to be updated by this dynamic object.
`double` | `tension()`
`ITension` | `tension(double tension)`
`void` | `update()` behavior definition of updating dynamics in each time frame

Methods inherited from class igeo.IDynamicsBase
`initDynamicsBase, initDynamicsBase, parent, target, targetNum, targets, updateTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultTension

    public static double defaultTension

### pt1

    public IParticleI pt1

### pt2

    public IParticleI pt2

### tension

    public double tension

Constructor Detail

### ITension

    public ITension(IParticleI p1,
                    IParticleI p2,
                    IObject parent)

### ITension

    public ITension(IParticle p1,
                    IParticle p2,
                    IObject parent)

### ITension

    public ITension(IVec p1,
                    IVec p2,
                    IObject parent)

### ITension

    public ITension(IVecI p1,
                    IVecI p2,
                    IObject parent)

### ITension

    public ITension(IParticleI p1,
                    IParticleI p2)

### ITension

    public ITension(IParticle p1,
                    IParticle p2)

### ITension

    public ITension(IVec p1,
                    IVec p2)

### ITension

    public ITension(IVecI p1,
                    IVecI p2)

Method Detail

### tension

    public double tension()

### tension

    public ITension tension(double tension)

### parent

    public ITension parent(IObject par)

  Description copied from interface: `ISubobject`
  setting parent object

  Specified by:
    `parent` in interface `ISubobject`
  Overrides:
    `parent` in class `IDynamicsBase`

### target

    public ITension target(IObject targetObj)

  Description copied from class: `IDynamicsBase`
  add terget object to be updated by this dynamic object.

  Specified by:
    `target` in interface `IDynamics`
  Overrides:
    `target` in class `IDynamicsBase`

### removeTarget

    public ITension removeTarget(int i)

  Description copied from class: `IDynamicsBase`
  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Overrides:
    `removeTarget` in class `IDynamicsBase`

### removeTarget

    public ITension removeTarget(IObject obj)

  Description copied from class: `IDynamicsBase`
  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Overrides:
    `removeTarget` in class `IDynamicsBase`

### interact

    public void interact(java.util.ArrayList<IDynamics> dynamics)

  Description copied from class: `IDynamicsBase`
  behavior definition of interaction with other dynamic objects. The server puts all dynamic objects including itself.

  Specified by:
    `interact` in interface `IDynamics`
  Overrides:
    `interact` in class `IDynamicsBase`

### update

    public void update()

  Description copied from class: `IDynamicsBase`
  behavior definition of updating dynamics in each time frame

  Specified by:
    `update` in interface `IDynamics`
  Overrides:
    `update` in class `IDynamicsBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD